import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { WithAccelerationSubscription } from "./with-use-acceleration-subscription.js";
import { WithOrientationSubscription } from "./with-use-orientation-subscription.js";
/**
 * A component wrapper for {@link WithAccelerationSubscription} and {@link WithOrientationSubscription}
 *
 * @remarks
 * Render this component when {@link WithMotionSubscriptionParam.deep} and {@link WithMotionSubscriptionParam.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithMotionSubscription deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export function WithMotionSubscription(param) {
    return (_jsxs(_Fragment, { children: [_jsx(WithAccelerationSubscription, { ...param }), _jsx(WithOrientationSubscription, { ...param })] }));
}
