import { UseOrientationSubscriptionParam } from "../hooks/use-orientation-subscription.js";
/**
 * A component wrapper for {@link useOrientationSubscription}
 *
 * @remarks
 * Render this component when {@link WithOrientationSubscriptionParam.deep} and {@link WithOrientationSubscriptionParam.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithUseOrientationSubscription deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export declare function WithOrientationSubscription(param: WithOrientationSubscriptionParam): null;
export type WithOrientationSubscriptionParam = UseOrientationSubscriptionParam;
